petsc-3.4.2 2013-07-02

# SNESLineSearchPostheckFunction

functional form that is called after line search is complete

### Synopsis

    #include "petscsnes.h"
    SNESLineSearchPostheckFunction(SNESLineSearch linesearch,Vec x,Vec y,  Vec w, *changed_y, PetscBool *changed_w);

### Input Parameters

| x | - old solution vector
| y | - search direction vector
| w | - new solution vector
| changed_y | - indicates that the line search changed y
| changed_w | - indicates that the line search changed w

### See Also

SNESLineSearchSetPreCheck(), SNESLineSearchSetPostCheck()

Level:advanced
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages